---
title: "Replace a company's capital-market identity"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`PUT /v2/entities/{id}/market-identity`

## Path parameters

- `id` (`entity-market-identity-put.path.id`; string, required)
  - format `uuid`

## Request body

_Required._

- `companyMarketStatus` (`entity-market-identity-put.companyMarketStatus`; string, required, nullable)
  - one of `"public"`, `"private"`
- `primaryExchange` (`entity-market-identity-put.primaryExchange`; string, required, nullable)
  - minLength 2; maxLength 32; pattern `^[A-Z0-9][A-Z0-9._-]{1,31}$`
- `primaryTicker` (`entity-market-identity-put.primaryTicker`; string, required, nullable)
  - minLength 1; maxLength 15; pattern `^[A-Z0-9][A-Z0-9.-]{0,14}$`
- `sureshakeTicker` (`entity-market-identity-put.sureshakeTicker`; string, required, nullable)
  - minLength 2; maxLength 10; pattern `^[A-Z][A-Z0-9]{1,9}$`

## Example request

```json
{
  "companyMarketStatus": "public",
  "primaryExchange": "string",
  "primaryTicker": "string",
  "sureshakeTicker": "string"
}
```

## Code samples

### cURL

```bash
curl --request PUT \
  --url 'https://api.sureshake.com/v2/entities/<id>/market-identity' \
  --header 'Content-Type: application/json' \
  --data '
{
  "companyMarketStatus": "public",
  "primaryExchange": "string",
  "primaryTicker": "string",
  "sureshakeTicker": "string"
}
'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<id>/market-identity';
const options = {
  method: 'PUT',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    companyMarketStatus: 'public',
    primaryExchange: 'string',
    primaryTicker: 'string',
    sureshakeTicker: 'string'
  })
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<id>/market-identity"

payload = {
    "companyMarketStatus": "public",
    "primaryExchange": "string",
    "primaryTicker": "string",
    "sureshakeTicker": "string"
}
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
    "entityType": "string",
    "companyMarketStatus": "public",
    "primaryExchange": "string",
    "primaryTicker": "string",
    "sureshakeTicker": "string",
    "isPubliclyListed": true,
    "updatedAt": "2019-08-24T14:15:22Z"
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`entity-market-identity-put.response.200.data`; object, required)
  - `entityId` (`entity-market-identity-put.response.200.data.entityId`; string, required)
    - format `uuid`
  - `entityType` (`entity-market-identity-put.response.200.data.entityType`; string, required, nullable)
  - `companyMarketStatus` (`entity-market-identity-put.response.200.data.companyMarketStatus`; string, required, nullable)
    - one of `"public"`, `"private"`
  - `primaryExchange` (`entity-market-identity-put.response.200.data.primaryExchange`; string, required, nullable)
  - `primaryTicker` (`entity-market-identity-put.response.200.data.primaryTicker`; string, required, nullable)
  - `sureshakeTicker` (`entity-market-identity-put.response.200.data.sureshakeTicker`; string, required, nullable)
  - `isPubliclyListed` (`entity-market-identity-put.response.200.data.isPubliclyListed`; boolean, required)
  - `updatedAt` (`entity-market-identity-put.response.200.data.updatedAt`; string, required)
    - format `date-time`
- `meta` (`entity-market-identity-put.response.200.meta`; object, optional)
  - `timestamp` (`entity-market-identity-put.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-market-identity-put.response.400.error`; object, required)
  - `code` (`entity-market-identity-put.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-market-identity-put.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`entity-market-identity-put.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-market-identity-put.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-market-identity-put.response.401.error`; object, required)
  - `code` (`entity-market-identity-put.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-market-identity-put.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`entity-market-identity-put.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-market-identity-put.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-market-identity-put.response.403.error`; object, required)
  - `code` (`entity-market-identity-put.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-market-identity-put.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`entity-market-identity-put.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-market-identity-put.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-market-identity-put.response.404.error`; object, required)
  - `code` (`entity-market-identity-put.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-market-identity-put.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`entity-market-identity-put.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-market-identity-put.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-market-identity-put.response.409.error`; object, required)
  - `code` (`entity-market-identity-put.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-market-identity-put.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`entity-market-identity-put.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-market-identity-put.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-market-identity-put.response.500.error`; object, required)
  - `code` (`entity-market-identity-put.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-market-identity-put.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`entity-market-identity-put.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-market-identity-put.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-market-identity-put.response.503.error`; object, required)
  - `code` (`entity-market-identity-put.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-market-identity-put.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`entity-market-identity-put.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-market-identity-put.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/entity-market-identity-put/index.md
